# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "cpz"
version = "3.1.3"
authors = ["Alex Saveau <saveau.alexandre@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fast cp provides an alternative to cp that focuses on maximizing performance."
readme = "README.md"
keywords = [
    "tools",
    "files",
    "cp",
]
categories = [
    "command-line-utilities",
    "development-tools",
    "filesystem",
]
license = "Apache-2.0"
repository = "https://github.com/SUPERCILEX/fuc"

[features]
progress = [
    "fuc_engine/tracing",
    "dep:tracing",
    "dep:tracing-subscriber",
    "dep:tracing-indicatif",
    "dep:indicatif",
]
trace = [
    "fuc_engine/tracing",
    "dep:tracing",
    "dep:tracing-subscriber",
    "dep:tracing-tracy",
    "dep:tracy-client",
]

[[bin]]
name = "cpz"
path = "src/main.rs"

[[test]]
name = "api"
path = "tests/api.rs"

[[bench]]
name = "copy_methods"
path = "benches/copy_methods.rs"
harness = false

[dependencies.clap]
version = "4.6.1"
features = [
    "derive",
    "wrap_help",
]

[dependencies.error-stack]
version = "0.7.1"
features = ["std"]
default-features = false

[dependencies.fuc_engine]
version = "3"

[dependencies.indicatif]
version = "0.18.4"
optional = true

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tracing]
version = "0.1.44"
optional = true

[dependencies.tracing-indicatif]
version = "0.3.14"
optional = true

[dependencies.tracing-subscriber]
version = "0.3.23"
features = ["env-filter"]
optional = true

[dependencies.tracing-tracy]
version = "0.11.4"
features = ["flush-on-exit"]
optional = true

[dependencies.tracy-client]
version = "0.18.4"
optional = true

[dev-dependencies.cache-size]
version = "0.7.0"

[dev-dependencies.criterion]
version = "0.8.2"

[dev-dependencies.memmap2]
version = "0.9.10"

[dev-dependencies.rand]
version = "0.10.1"

[dev-dependencies.supercilex-tests]
version = "0.4.22"
features = ["clap"]
default-features = false

[dev-dependencies.tempfile]
version = "3.27.0"

[dev-dependencies.trycmd]
version = "1.2.0"

[target."cfg(unix)".dev-dependencies.rustix]
version = "1.1.4"
features = [
    "fs",
    "pipe",
]
